Bug 864102 - Bad precedence in library version check
Summary: Bad precedence in library version check
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: perl-Net-SSH2
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-08 15:05 UTC by Chris Adams
Modified: 2013-04-24 21:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-24 21:31:58 UTC


Attachments (Terms of Use)
Fix operator precedence in auth agent check (722 bytes, patch)
2012-10-08 15:05 UTC, Chris Adams
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
CPAN 80065 None None None Never

Description Chris Adams 2012-10-08 15:05:35 UTC
Created attachment 623492 [details]
Fix operator precedence in auth agent check

The perl module checks the libssh2 version to decide if agent authenticaion support should be used, but there is a bad operator precedence in the check (>= has higher precedence than ||).  While the bug is upstream, the situation (running newer Net::SSH2 with older libssh2) is pretty specific to RHEL 6.  This bug makes ->auth calls fail unless an explicit auth rank is set.

The attached patch fixes the problem.

Comment 1 Petr Šabata 2013-02-12 15:42:40 UTC
I've just pushed this to Rawhide with the 0.47 update.  The el6 build will be available shortly.

Comment 2 Fedora Update System 2013-02-12 16:16:46 UTC
perl-Net-SSH2-0.45-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Net-SSH2-0.45-3.el6

Comment 3 Fedora Update System 2013-02-27 18:03:01 UTC
perl-Net-SSH2-0.45-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Chris Adams 2013-04-05 12:50:06 UTC
The necessary patch is included in the SRPM but not actually applied in the spec, so the problem still exists.

Comment 5 Petr Šabata 2013-04-05 13:52:31 UTC
It's applied on line 59.

Comment 6 Petr Šabata 2013-04-05 13:54:03 UTC
Oh, discard the previous comment; that was valid for Fedora.
You're right -- the patch is not applied in EPEL.

Comment 7 Fedora Update System 2013-04-05 14:35:02 UTC
perl-Net-SSH2-0.45-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Net-SSH2-0.45-4.el6

Comment 8 Fedora Update System 2013-04-23 02:58:02 UTC
perl-Net-SSH2-0.45-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Chris Adams 2013-04-24 21:31:58 UTC
The -4 update does indeed fix the problem.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.